Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class Initializer

    java.lang.Object
      |
      +--org.omg.CORBA.Initializer

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class Initializer
extends java.lang.Object
implements IDLEntity

This structure describes a factory for a valuetype.

See Also:
  Serialized Form

Field Summary
`StructMember[]` | `members` Struct member members
`java.lang.String` | `name` Struct member name

Constructor Summary
`Initializer()` Default constructor
`Initializer(StructMember[] members, java.lang.String name)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### members

    public StructMember[] members

  Struct member members

### name

    public java.lang.String name

  Struct member name

Constructor Detail

### Initializer

    public Initializer()

  Default constructor

### Initializer

    public Initializer(StructMember[] members,
                       java.lang.String name)

  Constructor with fields initialization
  Parameters:
    `members` - members struct member
    `name` - name struct member

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD